Loading...
Searching...
No Matches
Catch::Benchmark::Detail::ChronometerModel< Clock > Struct Template Referencefinal

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::Benchmark::Detail::ChronometerModel< Clock >:
[legend]
Collaboration diagram for Catch::Benchmark::Detail::ChronometerModel< Clock >:
[legend]

## Public Member Functions

void | start () override
void | finish () override
IDuration | elapsed () const
Public Member Functions inherited from Catch::Benchmark::Detail::ChronometerConcept
virtual | ~ChronometerConcept ()
| ChronometerConcept ()=default
| ChronometerConcept (ChronometerConcept const &)=default
ChronometerConcept & | operator= (ChronometerConcept const &)=default

## Public Attributes

TimePoint< Clock > | started
TimePoint< Clock > | finished

## Member Function Documentation

## elapsed()

template<typename Clock>

IDuration Catch::Benchmark::Detail::ChronometerModel< Clock >::elapsed | ( |  | ) | const

inline

Here is the caller graph for this function:

## finish()

template<typename Clock>

void Catch::Benchmark::Detail::ChronometerModel< Clock >::finish | ( |  | ) |

inlineoverridevirtual

Implements Catch::Benchmark::Detail::ChronometerConcept.

## start()

template<typename Clock>

void Catch::Benchmark::Detail::ChronometerModel< Clock >::start | ( |  | ) |

inlineoverridevirtual

Implements Catch::Benchmark::Detail::ChronometerConcept.

## Member Data Documentation

## finished

template<typename Clock>

TimePoint<Clock> Catch::Benchmark::Detail::ChronometerModel< Clock >::finished

## started

template<typename Clock>

TimePoint<Clock> Catch::Benchmark::Detail::ChronometerModel< Clock >::started

The documentation for this struct was generated from the following file:

- tests/vendor/catch_amalgamated.hpp